List builds
Returns builds, optionally filtered by project, pipeline, status, branch, trigger, actor, or creation time, or searched with `q`.
list_buildsReturns builds, optionally filtered by project, pipeline, status, branch, trigger, actor, or creation time, or searched with q.
Authorization
bearer_auth In: header
Query Parameters
Page size (default 50)
int64Page offset (default 0)
int64Filter by project
Filter by pipeline
Filter by one status or up to 9 comma-separated statuses
Filter by exact branch name
Filter by one or more comma-separated trigger kinds: manual, api, schedule, push, pull_request, or tag_push. The last three are webhook events.
Filter by exact trigger actor (the user email for manual builds, the SCM login for webhook builds). At most 320 characters.
Only builds created at or after this Unix time in seconds
int64Only builds created before this Unix time in seconds. Must be later than created_after.
int64Search builds, case-insensitively, by build number (with or without #), part of the branch, the start of the commit SHA, or part of the pipeline or project name. At most 200 characters.
Sort by created_at, status, project_name, pipeline_name, or branch
Sort direction: asc or desc
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/builds"{ "builds": [ { "approval": null, "branch": "string", "build_number": 0, "changelog": "string", "commit_sha": "string", "config_snapshot": {}, "context": null, "created_at": 0, "exit_code": 0, "finished_at": 0, "id": "string", "pipeline_id": "string", "project_id": "string", "queued_at": 0, "retry_steps": [ "string" ], "runner_id": "string", "runner_policy_block_reason": null, "source_build_id": "string", "started_at": 0, "status": "queued", "step_results": [ { "duration_ms": 0, "exit_code": 0, "finished_at": 0, "name": "string", "publish_from_file": true, "started_at": 0, "status": "string" } ], "trigger_actor": "string", "trigger_event": "string", "trigger_ref": "string", "trigger_type": "manual", "updated_at": 0 } ], "total": 0}